--Force MIS calculation back in time in order to get data for canceled reservations (Corona-report)

Declare @CoronaUpdate int
select @CoronaUpdate = Count(*) from HotelSetup where SearchKey = 'LastMISUpdate' and LabelName <> 'CoronaRecalc'

If @CoronaUpdate = 0
  UPDATE HotelSetup set KeyValue='20200201', LabelName='CoronaRecalc' WHERE SearchKey = 'LastMISUpdate'